import CJS_COMPAT_NODE_URL_bhpmtlmh4se from 'node:url';
import CJS_COMPAT_NODE_PATH_bhpmtlmh4se from 'node:path';
import CJS_COMPAT_NODE_MODULE_bhpmtlmh4se from "node:module";

var __filename = CJS_COMPAT_NODE_URL_bhpmtlmh4se.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_bhpmtlmh4se.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_bhpmtlmh4se.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  __name
} from "./chunk-7YMXN42S.js";

// ../node_modules/slash/index.js
function slash(path) {
  const isExtendedLengthPath = path.startsWith("\\\\?\\");
  if (isExtendedLengthPath) {
    return path;
  }
  return path.replace(/\\/g, "/");
}
__name(slash, "slash");

export {
  slash
};
